| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
List of all members
wxGridRowHeaderRenderer Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridRowHeaderRenderer:
[legend]

## Detailed Description

Base class for row headers renderer.

This is the same as wxGridHeaderLabelsRenderer currently but we still use a separate class for it to distinguish it from wxGridColumnHeaderRenderer.

See also
  wxGridRowHeaderRendererDefault
  wxGridCellAttrProvider::GetRowHeaderRenderer()

Since
  2.9.1

## Additional Inherited Members

Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...
Public Member Functions inherited from wxGridCornerHeaderRenderer
virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const =0
| Called by the grid to draw the corner window border. More...